Bug 1531929 - can't connect to Apple Thunderbolt Display [NEEDINFO]
Summary: can't connect to Apple Thunderbolt Display
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-06 18:07 UTC by Peter F. Patel-Schneider
Modified: 2018-08-29 15:18 UTC (History)
18 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-29 15:18:30 UTC
jforbes: needinfo?


Attachments (Terms of Use)
new PCI devices after hotplug (6.73 KB, text/plain)
2018-01-06 18:07 UTC, Peter F. Patel-Schneider
no flags Details
system log and boltctl monitor output (33.97 KB, text/plain)
2018-01-06 18:10 UTC, Peter F. Patel-Schneider
no flags Details
boot messages with hub attached (127.63 KB, text/plain)
2018-02-19 17:20 UTC, Peter F. Patel-Schneider
no flags Details
lspci -vv for thunderbolt devices (26.90 KB, text/plain)
2018-02-19 17:21 UTC, Peter F. Patel-Schneider
no flags Details

Description Peter F. Patel-Schneider 2018-01-06 18:07:10 UTC
Created attachment 1377917 [details]
new PCI devices after hotplug

Description of problem:

I have a Lenovo Yoga 920 with two thunderbolt-capable USB-C ports run by an Intel Corporation JHL6540.  When I plug in an Apple Thunderbolt Display attached to a Thunderbolt-3-to-2 adapter I see some Thunderbolt activity, but the display and devices attached to it remain inactive.

Version-Release number of selected component (if applicable):

Linux idefix 4.14.11-300.fc27.x86_64 #1 

How reproducible:

Always


Steps to Reproduce:
1.  Plug thunderbolt adapter with display attached in to a Thunderbolt-capable port.
2.
3.

Actual results:

The thunderbolt chip becomes visible, and is in thunderbolt mode.   The display and devices attached to it remain inactive and do not show up as devices.

Expected results:

The display becomes active and is available for use.  The devices attached to the display (currently only USB disks) become active and are available for use.

Additional info:


Thunderbolt Devices after hotplug

idefix thunderbolt> ls -l /sys/bus/thunderbolt/devices/
total 0
lrwxrwxrwx. 1 root root 0 Jan  2 12:05 0-0 -> ../../../devices/pci0000:00/0000:00:1c.0/0000:01:00.0/0000:02:00.0/0000:03:00.0/domain0/0-0/
lrwxrwxrwx. 1 root root 0 Jan  2 12:05 domain0 -> ../../../devices/pci0000:00/0000:00:1c.0/0000:01:00.0/0000:02:00.0/0000:03:00.0/domain0/

lspci new devices on hotplug

01:00.0 PCI bridge: Intel Corporation JHL6540 Thunderbolt 3 Bridge (C step) [Alpine Ridge 4C 2016] (rev 02)
02:00.0 PCI bridge: Intel Corporation JHL6540 Thunderbolt 3 Bridge (C step) [Alpine Ridge 4C 2016] (rev 02)
02:01.0 PCI bridge: Intel Corporation JHL6540 Thunderbolt 3 Bridge (C step) [Alpine Ridge 4C 2016] (rev 02)
02:02.0 PCI bridge: Intel Corporation JHL6540 Thunderbolt 3 Bridge (C step) [Alpine Ridge 4C 2016] (rev 02)
02:04.0 PCI bridge: Intel Corporation JHL6540 Thunderbolt 3 Bridge (C step) [Alpine Ridge 4C 2016] (rev 02)
03:00.0 System peripheral: Intel Corporation JHL6540 Thunderbolt 3 NHI (C step) [Alpine Ridge 4C 2016] (rev 02)
05:00.0 USB controller: Intel Corporation JHL6540 Thunderbolt 3 USB Controller (C step) [Alpine Ridge 4C 2016] (rev 02)

I'm attaching lspci -vv for these devices and the system log (separately)

Comment 1 Peter F. Patel-Schneider 2018-01-06 18:10 UTC
Created attachment 1377918 [details]
system log and boltctl monitor output

Comment 2 Peter F. Patel-Schneider 2018-02-19 17:19:32 UTC
I'm still experiencing problems with kernel 4.15.3-300.fc27.x86_64+debug.  I've attached the systems messages at startup with the hub connected and lspci -vv output for the thunderbolt devices in the laptop itself.

Comment 3 Peter F. Patel-Schneider 2018-02-19 17:20 UTC
Created attachment 1397969 [details]
boot messages with hub attached

Comment 4 Peter F. Patel-Schneider 2018-02-19 17:21 UTC
Created attachment 1397971 [details]
lspci -vv for thunderbolt devices

Comment 5 Nickolai Zeldovich 2018-04-11 02:14:54 UTC
Just as a suggestion, have you tried "boltctl authorize" on your device?  (The command takes as an argument the device ID, which is listed as the UUID in "boltctl list".)

Comment 6 Peter F. Patel-Schneider 2018-06-10 18:26:08 UTC
Yes, I've tried to do that.  The device isn't visible at all in bolt.

Comment 7 Justin M. Forbes 2018-07-23 15:26:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 8 Justin M. Forbes 2018-08-29 15:18:30 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.